Pi Durable Platformdocs
ReferenceOAuth consent and connected apps

The apps the caller connected (newest first)

GET
/v1/me/oauth-grants

Response Body

Connected apps

application/json
  1. response
data*array<>
curl -X GET 'https://agents.example.com/v1/me/oauth-grants'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "client": {        "id": "string",        "kind": "metadata",        "name": "string",        "host": "string",        "uri": "string",        "logoUrl": "string",        "trusted": true      },      "scopes": [        "string"      ],      "createdAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z"    }  ]}